pydo.byoip_prefixes.create()

Generated on 9 Jun 2026 from pydo version v0.36.0

Usage

client.byoip_prefixes.create(
    body={
        "prefix": "203.11.13.0/24",
        "region": "nyc3",
        "signature": "<sample-signature>",
    },
)
Returns JSONRaises HttpResponseError

Description

To create a BYOIP prefix, send a POST request to /v2/byoip_prefixes.

A successful request will initiate the process of bringing your BYOIP Prefix into your account. The response will include the details of the created prefix, including its UUID and status.

Parameters

prefix string required

Example: 203.11.13.0/24

The IP prefix in CIDR notation to bring

region string required

Example: nyc3

The region where the prefix will be created

signature string required

Example: <sample-signature>

The signature hash for the prefix creation request

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

req = {
    "prefix": "203.0.113.0/24",
    "region": "nyc3",
    "signature": "<sample signature hash>",
}

resp = client.byoip_prefixes.create(body=req)

Response Example

Show Response Example
{
  "byoip_prefix": {
    "uuid": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
    "status": "in_progress",
    "region": "nyc3"
  }
}

More Information

See /v2/byoip_prefixes in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.